Name:		xkeyboard-config
Version:	2.24
Release:	5
Summary:	The X Keyboard Extension
License:	MIT
URL:	        https://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source0:	https://xorg.freedesktop.org/archive/individual/data/%{name}/%{name}-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:	gettext intltool libtool libxslt perl-XML-Parser glib2-devel 
BuildRequires:  xorg-x11-util-macros xorg-x11-proto-devel xorg-x11-xkb-utils libX11-devel

%description
The non-arch keyboard configuration database for X Window. The goal is to
provide the consistent, well-structured, frequently released open source of
X keyboard configuration data for X Window System implementations (free, 
open source and commercial). The project is targeted to XKB-based systems.

%package        devel
Summary:        Header files for xkeyboard-config
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
Header files for xkeyboard-config

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
AUTOPOINT="intltoolize --automake --copy" autoreconf -v --force --install || exit 1
%configure --enable-compat-rules --with-xkb-base=%{_datadir}/X11/xkb --with-xkb-rules-symlink=xorg
%make_build

%install
%make_install

{
   FILESLIST=${PWD}/files.list
   pushd $RPM_BUILD_ROOT
   find .%{_datadir}/X11/xkb -type d | sed -e "s/^\./%dir /g" > $FILESLIST
   find .%{_datadir}/X11/xkb -type f | sed -e "s/^\.//g" >> $FILESLIST
   popd
}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS 
%{_datadir}/locale/*
%{_datadir}/X11/xkb/*

%files          devel
 %defattr(-,root,root)
%{_datadir}/pkgconfig/xkeyboard-config.pc

%files          help
%defattr(-,root,root)
%doc README docs/README docs/HOWTO.* TODO NEWS
%{_mandir}/man7/*.gz

%changelog
* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24-5
- Package init
